#version 330 core
//blur shader implementation is based on http://www.learnopengl.com/#!Advanced-Lighting/Bloom
out vec4 fragColor;

uniform vec2 resolution;
uniform sampler2D image;
uniform bool horizontal;

uniform float weight[5] = float[] (0.2270270270, 0.1945945946, 0.1216216216, 0.0540540541, 0.0162162162);

void main()
{             
		
	vec2 textureCoords = vec2(gl_FragCoord.x/resolution.x, gl_FragCoord.y/resolution.y);

     vec2 tex_offset = 1.0 / textureSize(image, 0); // gets size of single texel
     vec3 result = texture(image, textureCoords).rgb * weight[0];
     if(horizontal)
     {
         for(int i = 1; i < 5; ++i)
         {
            result += texture(image, textureCoords + vec2(tex_offset.x * i, 0.0)).rgb * weight[i];
            result += texture(image, textureCoords - vec2(tex_offset.x * i, 0.0)).rgb * weight[i];
         }
     }
     else
     {
         for(int i = 1; i < 5; ++i)
         {
             result += texture(image, textureCoords + vec2(0.0, tex_offset.y * i)).rgb * weight[i];
             result += texture(image, textureCoords - vec2(0.0, tex_offset.y * i)).rgb * weight[i];
         }
     }
     fragColor = vec4(result, 1.0);
}