#version 330 core


uniform sampler2D sceneTexture;
uniform sampler2D bloomTexture;

uniform vec2 resolution;
uniform bool bloom;
// output fragment colour RGBA
layout(location = 0) out vec4 fragColor;

void main() {

	vec2 textureCoords = vec2(gl_FragCoord.x/resolution.x, gl_FragCoord.y/resolution.y);

    vec4 sceneColor = texture2D(sceneTexture, textureCoords);

    if(bloom){
		vec4 bloomColor = texture2D(bloomTexture, textureCoords);

		sceneColor += bloomColor; // additive blending
	}
    fragColor = sceneColor;
}